## com.vividsolutions.jts.geom
Class CoordinateSequences

    java.lang.Object
      com.vividsolutions.jts.geom.CoordinateSequences

public class CoordinateSequences
extends java.lang.Object

Utility functions for manipulating `CoordinateSequence`s

Version:
  1.7

Constructor Summary
`CoordinateSequences()`

Method Summary
`static void` `copy(CoordinateSequence src, int srcPos, CoordinateSequence dest, int destPos, int length)` Copies a section of a `CoordinateSequence` to another `CoordinateSequence`.
`static void` `copyCoord(CoordinateSequence src, int srcPos, CoordinateSequence dest, int destPos)` Copies a coordinate of a `CoordinateSequence` to another `CoordinateSequence`.
`static void` `reverse(CoordinateSequence seq)` Reverses the coordinates in a sequence in-place.
`static void` `swap(CoordinateSequence seq, int i, int j)` Swaps two coordinates in a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinateSequences

    public CoordinateSequences()

Method Detail

### reverse

    public static void reverse(CoordinateSequence seq)

  Reverses the coordinates in a sequence in-place.

### swap

    public static void swap(CoordinateSequence seq,
                            int i,
                            int j)

  Swaps two coordinates in a sequence.

  Parameters:
    `seq` -
    `i` -
    `j` -

### copy

    public static void copy(CoordinateSequence src,
                            int srcPos,
                            CoordinateSequence dest,
                            int destPos,
                            int length)

  Copies a section of a `CoordinateSequence` to another `CoordinateSequence`. The sequences must have the same dimension.

  Parameters:
    `src` -
    `srcPos` -
    `dest` -
    `destPos` -
    `length` -

### copyCoord

    public static void copyCoord(CoordinateSequence src,
                                 int srcPos,
                                 CoordinateSequence dest,
                                 int destPos)

  Copies a coordinate of a `CoordinateSequence` to another `CoordinateSequence`. The sequences must have the same dimension.

  Parameters:
    `src` -
    `srcPos` -
    `dest` -
    `destPos` -